post
https://demo.jfrog.io/access/api/v1/tokens
Creates an access token for the JFrog Platform, or refreshes an existing access token. Only internal Artifactory users can generate a token using basic credentials via REST API.
Since: 7.21.1 (Refresh Token since 7.37.9)
Create Token Notes:
- You can create tokens at the project level if you are a project admin
- You cannot create token by using basic credentials if you enabled multi-factor authentication
- If you use basic credentials, you must enable creation of tokens in the JFrog Platform UI
- From Artifactory 7.63.2, users with basic credentials can create tokens through the REST API
- From Artifactory 7.50.3, the "force_revocable" parameter was added to the Create Token REST API
Refresh Token:
To refresh an existing access token, set grant_type to refresh_token and provide the
refresh_token parameter. The authenticated user must match the user of the access token
being refreshed (identified by the refresh token).
Starting from Artifactory version 7.59.5, it is possible to enable a grace period in which
you will be able to refresh a token that has expired. To enable it, set the refresh-expiry
parameter in your system configuration file with the length of the grace period in seconds.
